package com.hungraim.ltc.util;

import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 常用的Result
 *
 * @author hubin
 */
@AllArgsConstructor
@NoArgsConstructor
public enum ResultCode implements IResultCode, Serializable {
    //成功
    SUCCESS("00000", "一切ok"),
    //用户登陆异常
    USER_LOGIN_ERROR("U0001", "用户登录异常"),
    USER_NOT_EXIST("U0002", "用户不存在"),
    MARKETER_NOT_EXIST("U0003", "营销员信息未找到"),
    USERNAME_OR_PASSWORD_ERROR("U0003", "用户名密码错误"),
    //系统执行出错
    SYSTEM_EXECUTION_ERROR("S0001", "系统异常"),
    //客户端认证失败
    CLIENT_AUTHENTICATION_FAILED("A0001", "客户端认证失败"),
    //没有访问权限
    NO_AUTHORITY("A0002", "没有访问权限"),
    AUTHORIZED_ERROR("A0300", "访问权限异常"),
    ACCESS_UNAUTHORIZED("A0301", "访问未授权"),
    TOKEN_INVALID_OR_EXPIRED("A0230", "token无效或已过期"),
    // 请求参数错误，参数校验不通过
    REQUEST_PARAM_ERROR("Q0001", "请求参数错误"),
    //文件类型不匹配
    FILE_TYPE_ERROR("F0001", "文件类型不支持"),
    // 请求参数错误，参数校验不通过
    SRV_ORGAN_NOT_QUERY("S0001", "未查询到数据"),
    /**
     * 制定服务方案失败，请先终止其它服务方案
     */
    REQUEST_PROGRAM_ADD_ERROR("Q0002", "制定服务方案失败，请先终止其它服务方案");;

    private String code;

    private String msg;

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }
}
